/*
 * Pins used in this lab
 * Pin  14 on PIC32MX250F128B  -- RB5
 *     TMS/RPB5/USBID/RB5
*/

/* Used chip is PIC32MX250F128B-50I/SP
 *   Will run at 40Mhz since we might have the slower chip some day
 */

#include <xc.h>
#include "configure.h"
#define _SUPPRESS_PLIB_WARNING 1
#include <plib.h>
#include <stdlib.h>
#include <stdint.h>

void spin(uint32_t instructions) ;

/*
 * A slightModification of DelayMS found in
 * http://www.look4tech.com/pic32mx220-demo-project-delay-using-32-bit-core-timer/
 */
#define SYS_FREQ 40000000ul
void delayUS(unsigned int usec)
{
    unsigned int tWait;
    WriteCoreTimer(0);
    tWait=(SYS_FREQ/2000000ul)*usec;
    while(ReadCoreTimer() < tWait);
}

#define OUTPUTPIN   5
#define OUTPUTMASK  (1 << OUTPUTPIN)

int main(void) {

    ANSELA = 0 ;           // Set all pins for digial
    ANSELB = 0 ;
    CNENA = 0 ;            // Disable change notification
    CNENB = 0 ;
    CNPUA = 0 ;            // Disable weak pullup
    CNPUB = 0 ;
    CNPDA = 0 ;            // Disable weak pulldown
    CNPDB = 0 ;
    ODCA = 0 ;             // Disable open drain
    ODCB = 0 ;
    TRISA = 0 ;            // Set all pins for output
    TRISB = 0 ;
    LATA = 0 ;             // Write 0 to output
    LATB = 0 ;

    // Configuration bits -- 8 / 2 * 20 / 2 or 40 Mhz
    SYSTEMConfigPerformance(SYS_FREQ) ;

    while (1) {
        LATB = OUTPUTMASK ;
        // spin(30000000ul) ;
        delayUS(750000ul) ;
        LATB = 0 ;
        // spin(10000000ul) ;
        delayUS(250000ul) ;
    }

    return (EXIT_SUCCESS);
}
